> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Role Authorities

> Overview

Updates the authorities or grants which a role is capable of utilizing

Endpoint

PATCH /api/authorization/v1/roles/{roleId}/authorities



## OpenAPI

````yaml /openapi/product/roles-governance-api.yaml patch /api/authorization/v1/roles/{roleId}/authorities
openapi: 3.1.0
info:
  title: Roles Governance API
  version: 1.0.0
  description: >-
    This API reference is useful if you are trying to manage Domo Roles from
    anywhere 'outside' of your Domo instance such as:


    1. Jupyter scripts

    2. Code Engine Functions

    3. Custom Java/Node/Python scripts
servers:
  - url: https://{instance}.domo.com
    variables:
      instance:
        default: YOUR_INSTANCE
        description: Domo instance subdomain
security:
  - DomoDeveloperToken: []
tags:
  - name: Roles
paths:
  /api/authorization/v1/roles/{roleId}/authorities:
    patch:
      tags:
        - Roles Governance API
      summary: Update Role Authorities
      description: |-
        Overview

        Updates the authorities or grants which a role is capable of utilizing

        Endpoint

        PATCH /api/authorization/v1/roles/{roleId}/authorities
      parameters:
        - in: path
          name: roleId
          required: true
          schema:
            type: integer
          description: The ID of the role to updated
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AuthoritiesUpdateRequest'
            examples:
              example:
                value:
                  - dataset.manage
                  - dataset.export
      responses:
        '200':
          description: |-
            HTTP/1.1 200 OK
            Content-Type: application/json;charset=UTF-8
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthoritiesUpdateResponse'
components:
  schemas:
    AuthoritiesUpdateRequest:
      type: array
      description: >-
        The body for this query is a string array containing the complete list
        of authorities the role should have after the update
      items:
        type: string
    AuthoritiesUpdateResponse:
      type: object
      properties:
        status:
          type: string
        message:
          type: string
  securitySchemes:
    DomoDeveloperToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token

````